package com.nickmacholl.minecraft.ChainWorld.events;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;

import com.nickmacholl.minecraft.ChainWorld.LandLord;
import com.nickmacholl.minecraft.ChainWorld.Messager;
import com.nickmacholl.minecraft.ChainWorld.ChainWorld;

public class PlayerDeathListener implements Listener{
	
	public final ChainWorld plugin;
	
	public PlayerDeathListener(ChainWorld plugin){
		this.plugin = plugin;
	}
	
	@EventHandler(priority = EventPriority.LOWEST)
    public void playerDeath(PlayerDeathEvent event) throws Exception {
		//The player died!
		Player p = event.getEntity().getPlayer();
		Messager m = new Messager(plugin);
		String death = event.getDeathMessage();
		LandLord l = new LandLord(plugin);
		//Kick the player, provided they aren't an admin!
		if(!p.hasPermission("chainworld.admin")){
			m.sendConsoleMessage("Player " + p.getName() + " died. The lease is terminated.");
			p.kickPlayer(m.getDeathMessage(death));
				
			l.cleanHouse(p.getUniqueId().toString());
			
			if(l.getQueueSize()>0){
				l.createLease(l.getNextPlayerUUID(), plugin.getConfig().getInt("leaseTimeout"),0,true);
				l.bumpQueue();	
			}else{
				//So there is nobody waiting in line...
				//Expire the lease so the next person can play.
				long g = 0;
				l.setExpirationDate(g);
				l.setLeaseState(2);
			}
		}
	}
}
