package com.nickmacholl.minecraft.ChainWorld.events;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

import com.nickmacholl.minecraft.ChainWorld.LandLord;
import com.nickmacholl.minecraft.ChainWorld.Mailer;
import com.nickmacholl.minecraft.ChainWorld.Messager;
import com.nickmacholl.minecraft.ChainWorld.ChainWorld;

public class PlayerJoinListener implements Listener{
	
	public final ChainWorld plugin;
	
	public PlayerJoinListener(ChainWorld plugin){
		this.plugin = plugin;
	}
	
	@EventHandler(priority = EventPriority.LOWEST)
    public void playerLogin(PlayerJoinEvent event) {
		
		//Just some quality of life notifications.
		LandLord l = new LandLord(plugin);
		Messager m = new Messager(plugin);
		Mailer mail = new Mailer(plugin);
		double h = l.getHoursLeft();
		Player p = event.getPlayer();
		
		//Check if the player is an admin.
		if(!p.hasPermission("chainworld.admin")){
			if(p.getUniqueId().toString().equals(l.getOwnerID())){
				m.sendPlayerMessage("Welcome to " + Bukkit.getServerName() + "!", p);
				m.sendPlayerMessage("Your lease expires on " + ChatColor.AQUA + l.getExpirationDateString() + ChatColor.RESET + "; " + ChatColor.AQUA + String.valueOf(h) + ChatColor.RESET + " hours remain.", p);
			}
			
			//Advertise the email registration functionality.
			if(!mail.isRegistered(p.getUniqueId().toString()) && plugin.getConfig().isSet("username") && plugin.getConfig().isSet("password")){
				m.sendPlayerMessage("\nWant to receive email notifications when you're awarded a lease? Use " + ChatColor.AQUA + "/cwregister <email>" + ChatColor.RESET + " to signup!"
						+ "\nYou can always un-register your email using " + ChatColor.AQUA + "/cwunregister" + ChatColor.RESET + ".",p);
			}
		}
	}
}
