package com.nickmacholl.minecraft.ChainWorld.events;

import org.bukkit.ChatColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.server.ServerListPingEvent;

import com.nickmacholl.minecraft.ChainWorld.ChainWorld;
import com.nickmacholl.minecraft.ChainWorld.LandLord;

public class ServerListPingListener implements Listener{
	
	public final ChainWorld plugin;
	
	public ServerListPingListener(ChainWorld plugin){
		this.plugin = plugin;
	}
	
	@EventHandler(priority = EventPriority.LOWEST)
	public void serverListPing(ServerListPingEvent event){
		LandLord l = new LandLord(plugin);
		String motd;
		if(l.getHoursLeft()>0){
			motd = ChatColor.GRAY + "Lease expires in " + ChatColor.DARK_AQUA + l.getHoursLeft()
					+ ChatColor.GRAY + " hours; " + ChatColor.DARK_AQUA + l.getQueueSize()
					+ ChatColor.GRAY + " player(s) in line.";
		}else{
			motd = ChatColor.GRAY + "Connect now to claim a " + ChatColor.DARK_AQUA
					+ plugin.getConfig().getInt("leaseDuration") + ChatColor.GRAY
					+ " hour lease!";
		}
		event.setMotd(motd);
		
		//Regardless of the settings; always return 1 max player.
		//It's cruel to make people think they can bring a friend.
		event.setMaxPlayers(1);
	}
}
